diff mbox series

[ovs-dev,5/8] travis: Dump config.log on configure failures.

Message ID 20190208164900.30679-6-i.maximets@samsung.com
State Accepted
Headers show
Series travis: Fix equal distcheck runs. | expand

Commit Message

Ilya Maximets Feb. 8, 2019, 4:48 p.m. UTC
Useful for debugging.

Signed-off-by: Ilya Maximets <i.maximets@samsung.com>
---
 .travis/linux-build.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/.travis/linux-build.sh b/.travis/linux-build.sh
index e91fa1395..ef1e5f063 100755
--- a/.travis/linux-build.sh
+++ b/.travis/linux-build.sh
@@ -79,7 +79,7 @@  function install_dpdk()
 
 function configure_ovs()
 {
-    ./boot.sh && ./configure $*
+    ./boot.sh && ./configure $* || { cat config.log; exit 1; }
 }
 
 if [ "$KERNEL" ] || [ "$DPDK" ] || [ "$DPDK_SHARED" ]; then